#ifndef   	__AUX_H_
#define   	__AUX_H_

void print_pop(ftr_t** ftr);
void init_pop(ftr_t *ftr[POP_SIZE], float init_x, float init_y, float fin_x, float fin_y, int ID_offset);
void mutate(ftr_t* ftr);
void insert(ftr_t* ftr);
int sort(ftr_t** ftr);
int apply_g_ops(ftr_t** old_gen, int ID_offset, bool migrate, ftr_t** migr_org);
ftr_t *read_oqueue(ftr_ll **head, ftr_ll **tail, unsigned long long *clknum, bool flush, float ej_prob);
void write_oqueue(ftr_ll **head, ftr_ll **tail, ftr_t *ftr, unsigned long long clknum);
ftr_t *eject_oqueue(ftr_ll **head, ftr_ll **tail, int num_act_packets);

void print_queue(ftr_ll* head);
int adapt_disp_rate(int *throughput, bool ejected_pack);

float dist(float ax, float ay, float bx, float by);
int traj_cost(ftr_t* ftr);
void copy_ftr(ftr_t* oldf, ftr_t** newf);

#endif
