#ifndef   	__SIMPARAM_H_
# define   	__SIMPARAM_H_

/*
const sc_time CLK_PER (10, SC_NS);  // Clock period
const sc_time PROC_TIME (100, SC_NS); // Data processing time for 1 packet in a proc node
const sc_time ROUTE_DELAY(600, SC_NS); // Normal routing calculation time
const sc_time VIA_PROC_TIME(200, SC_NS); // Extra routing calculation time/extra via point inside the segment

const sc_time BASE_DL_TOUT (10000, SC_NS);  // Basic time out for deadlock detection
const sc_time DL_TOUT_COST (20, SC_NS);    // Time out increment for each unit cost already invested into the packet


#define NUM_PACK 10

#define THROUGHPUT 200

#define DEBUG_PACKETS true
#define DEBUG_NODES   false

#define DIAG_SEP_TH 0.1

#define BYTES_PER_VIA 4
#define BYTES_OHEAD 18
*/
#define BASE_PROC_TIME 70 // Data processing time for 1 packet in a proc node (in clocks)
#define VIA_PROC_TIME 20 // Extra routing calculation time/extra via point inside the segment (in clocks)

//#define THROUGHPUT 200

#define MAX_NUM_VIA 10

#define XSIZE 2
#define YSIZE 2

#define XLEVELS 9
#define YLEVELS 9
/*
#define BYTES_FIFO_DEPTH 64
#define FIFO_W 4
*/
#endif /* __SIMPARAM_H_ */
