#include <systemc.h>
#include "ftr.h"
#include "if.h"
#include "simparam.h"

SC_MODULE (enw_cont) {
private:
   ftr_t *loc_ftr;

public:
   inp_t     ex_inp[XSIZE*YSIZE];
   outp_t    ex_out;
  
   void func() {
      while(true) {
         for(int i=0; i<XSIZE*YSIZE; i++)
            if(ex_inp[i]->num_available()>0)
            {
               loc_ftr = ex_inp[i]->read();
               loc_ftr->out_time = sc_time_stamp();
               ex_out->write(loc_ftr);
            }

         wait(CLK_PER);
      }
   }


SC_CTOR(enw_cont)
{
   SC_THREAD(func);
}

};
