#include <systemc.h>
#include "proc_node.h"
#include <enw_cont.cpp>
#include <inw_cont.cpp>
#include <string.h>
#include "fifo.h"


SC_MODULE (network) {
private:
   float gendata(float x, float y);
//   int xsize, ysize;

public:
   inp_t  inject_i;
   outp_t extract_o;

   proc_node      **pn;

   con_t **rt, **lt, **up, **dn;

   con_t **enw; // Extraction network
   con_t **inw; // Injection network
   enw_cont *econt;
   inw_cont *icont;
   char  nodename[30];

//   network (sc_module_name name, int xsize, int ysize);
   network (sc_module_name name);
  ~network();

   float get_network_load();
};
