#include <systemc.h>
#include "testbench.cpp"
#include "simparam.h"

int sc_main (int argc, char *argv[]) {

   int num_debpack=0; // num_debpack <= 10
   int debpack[10]; // Max 10 packets to be debugged
   unsigned int seed = (unsigned int) time(NULL);

   if(argc > 1) {
      seed=atoi(argv[1]);
      num_debpack = argc-2;
      if(num_debpack > 10) num_debpack = 10;

      for(int i=0; i<num_debpack; i++)
         debpack[i] = atoi(argv[i+2]);

//      cout << seed << " " << num_debpack << " " << debpack[1] << endl;
   }

   testbench tb1("TB", seed, num_debpack, debpack);

   sc_start();
}
